#include<stdio.h>
#include<stdlib.h>
typedef struct
{
    int l;
    int d;
}V;

typedef struct
{
    int l;
    int d;
    int o;
    int r;
}P;

int main()
{
    int n,m,i;
    scanf("%d %d",&n,&m);
    V v[n];
    P p[m];

    for(i=0;i<n;i++)
    {
        scanf("%d %d",&v[i].l,&v[i].d);
    }

    for(i=0;i<m;i++)
    {
        scanf("%d %d %d",&p[i].l,&p[i].d,&p[i].o);
        p[i].r=0;
    }

    for(i=0;i<m;i++)
    {
        for(p[i].l-1;p[i].l-1<p[i].d;p[i].l++)
        {
            if(v[p[i].l-1].l<=p[i].o && v[p[i].l-1].d>=p[i].o)
            {
                p[i].r++;
            }
        }

    }



    for(i=0;i<m;i++)
    {
        printf("%d \n",p[i].r);
    }


    return 0;
}